# git-unpack-file(1) Manual Page

## NAME

git-unpack-file - Creates a temporary file with a blob's contents

## SYNOPSIS

git-unpack-file <blob>

## DESCRIPTION

Creates a file holding the contents of the blob specified by sha1. It returns the name of the temporary file in the following format: .merge_file_XXXXX

## OPTIONS

<blob>

  Must be a blob id

## Author

Written by Linus Torvalds <torvalds@osdl.org>

## Documentation

Documentation by David Greaves, Junio C Hamano and the git-list <git@vger.kernel.org>.

## GIT

Part of the git(7) suite